/*
 * Emergency RAVE controller
 * REST API for the Emergency RAVE controller. See https://emergency-rave.gitlab.io/about-erave/ for more information.
 *
 * OpenAPI spec version: 1.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */

package io.swagger.client.api;

import io.swagger.client.ApiException;
import io.swagger.client.model.CalibrationResult;
import io.swagger.client.model.DeviceHealth;
import io.swagger.client.model.RuntimeParameters;
import io.swagger.client.model.SensorReadings;
import io.swagger.client.model.TreatmentParameters;
import org.junit.Test;
import org.junit.Ignore;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * API tests for DefaultApi
 */
@Ignore
public class DefaultApiTest {

    private final DefaultApi api = new DefaultApi();

    /**
     * Create a calibrationresult
     *
     * Creates a new instance of a &#x60;calibrationresult&#x60;.
     *
     * @throws ApiException
     *          if the Api call fails
     */
    @Test
    public void createcalibrationresultTest() throws ApiException {
        CalibrationResult body = null;
        api.createcalibrationresult(body);

        // TODO: test validations
    }
    /**
     * Create a device-health
     *
     * Creates a new instance of a &#x60;device-health&#x60;.
     *
     * @throws ApiException
     *          if the Api call fails
     */
    @Test
    public void createdeviceHealthTest() throws ApiException {
        DeviceHealth body = null;
        api.createdeviceHealth(body);

        // TODO: test validations
    }
    /**
     * Create a runtime-parameters
     *
     * Creates a new instance of a &#x60;runtime-parameters&#x60;.
     *
     * @throws ApiException
     *          if the Api call fails
     */
    @Test
    public void createruntimeParametersTest() throws ApiException {
        RuntimeParameters body = null;
        api.createruntimeParameters(body);

        // TODO: test validations
    }
    /**
     * Create a sensorReadings
     *
     * Creates a new instance of a &#x60;sensorReadings&#x60;.
     *
     * @throws ApiException
     *          if the Api call fails
     */
    @Test
    public void createsensorReadingsTest() throws ApiException {
        SensorReadings body = null;
        api.createsensorReadings(body);

        // TODO: test validations
    }
    /**
     * Create a treatmentparameters
     *
     * Creates a new instance of a &#x60;treatmentparameters&#x60;.
     *
     * @throws ApiException
     *          if the Api call fails
     */
    @Test
    public void createtreatmentparametersTest() throws ApiException {
        TreatmentParameters body = null;
        api.createtreatmentparameters(body);

        // TODO: test validations
    }
    /**
     * Delete a calibrationresult
     *
     * Deletes an existing &#x60;calibrationresult&#x60;.
     *
     * @throws ApiException
     *          if the Api call fails
     */
    @Test
    public void deletecalibrationresultTest() throws ApiException {
        String calibrationresultId = null;
        api.deletecalibrationresult(calibrationresultId);

        // TODO: test validations
    }
    /**
     * Delete a sensorReadings
     *
     * Deletes an existing &#x60;sensorReadings&#x60;.
     *
     * @throws ApiException
     *          if the Api call fails
     */
    @Test
    public void deletesensorReadingsTest() throws ApiException {
        String sensorreadingsId = null;
        api.deletesensorReadings(sensorreadingsId);

        // TODO: test validations
    }
    /**
     * Delete a treatmentparameters
     *
     * Deletes an existing &#x60;treatmentparameters&#x60;.
     *
     * @throws ApiException
     *          if the Api call fails
     */
    @Test
    public void deletetreatmentparametersTest() throws ApiException {
        String treatmentparametersId = null;
        api.deletetreatmentparameters(treatmentparametersId);

        // TODO: test validations
    }
    /**
     * Get a calibrationresult
     *
     * Gets the details of a single instance of a &#x60;calibrationresult&#x60;.
     *
     * @throws ApiException
     *          if the Api call fails
     */
    @Test
    public void getcalibrationresultTest() throws ApiException {
        String calibrationresultId = null;
        CalibrationResult response = api.getcalibrationresult(calibrationresultId);

        // TODO: test validations
    }
    /**
     * List All calibrationresults
     *
     * Gets a list of all &#x60;calibrationresult&#x60; entities.
     *
     * @throws ApiException
     *          if the Api call fails
     */
    @Test
    public void getcalibrationresultsTest() throws ApiException {
        List<CalibrationResult> response = api.getcalibrationresults();

        // TODO: test validations
    }
    /**
     * List All device-healths
     *
     * Gets a list of all &#x60;device-health&#x60; entities.
     *
     * @throws ApiException
     *          if the Api call fails
     */
    @Test
    public void getdeviceHealthsTest() throws ApiException {
        DeviceHealth response = api.getdeviceHealths();

        // TODO: test validations
    }
    /**
     * List All runtime-parameters
     *
     * Gets a list of all &#x60;runtime-parameters&#x60; entities.
     *
     * @throws ApiException
     *          if the Api call fails
     */
    @Test
    public void getruntimeParametersTest() throws ApiException {
        List<RuntimeParameters> response = api.getruntimeParameters();

        // TODO: test validations
    }
    /**
     * Get a sensorReadings
     *
     * Gets the details of a single instance of a &#x60;sensorReadings&#x60;.
     *
     * @throws ApiException
     *          if the Api call fails
     */
    @Test
    public void getsensorReadingsTest() throws ApiException {
        String sensorreadingsId = null;
        SensorReadings response = api.getsensorReadings(sensorreadingsId);

        // TODO: test validations
    }
    /**
     * List All sensorreadings
     *
     * Gets a list of all &#x60;sensorReadings&#x60; entities.
     *
     * @throws ApiException
     *          if the Api call fails
     */
    @Test
    public void getsensorreadingsTest() throws ApiException {
        List<SensorReadings> response = api.getsensorreadings();

        // TODO: test validations
    }
    /**
     * Get a treatmentparameters
     *
     * Gets the details of a single instance of a &#x60;treatmentparameters&#x60;.
     *
     * @throws ApiException
     *          if the Api call fails
     */
    @Test
    public void gettreatmentparametersTest() throws ApiException {
        String treatmentparametersId = null;
        TreatmentParameters response = api.gettreatmentparameters(treatmentparametersId);

        // TODO: test validations
    }
    /**
     * List All treatmentparameters
     *
     * Gets a list of all &#x60;treatmentparameters&#x60; entities.
     *
     * @throws ApiException
     *          if the Api call fails
     */
    @Test
    public void gettreatmentparameters2Test() throws ApiException {
        List<TreatmentParameters> response = api.gettreatmentparameters2();

        // TODO: test validations
    }
    /**
     * Update a calibrationresult
     *
     * Updates an existing &#x60;calibrationresult&#x60;.
     *
     * @throws ApiException
     *          if the Api call fails
     */
    @Test
    public void updatecalibrationresultTest() throws ApiException {
        CalibrationResult body = null;
        String calibrationresultId = null;
        api.updatecalibrationresult(body, calibrationresultId);

        // TODO: test validations
    }
    /**
     * Update a sensorReadings
     *
     * Updates an existing &#x60;sensorReadings&#x60;.
     *
     * @throws ApiException
     *          if the Api call fails
     */
    @Test
    public void updatesensorReadingsTest() throws ApiException {
        SensorReadings body = null;
        String sensorreadingsId = null;
        api.updatesensorReadings(body, sensorreadingsId);

        // TODO: test validations
    }
    /**
     * Update a treatmentparameters
     *
     * Updates an existing &#x60;treatmentparameters&#x60;.
     *
     * @throws ApiException
     *          if the Api call fails
     */
    @Test
    public void updatetreatmentparametersTest() throws ApiException {
        TreatmentParameters body = null;
        String treatmentparametersId = null;
        api.updatetreatmentparameters(body, treatmentparametersId);

        // TODO: test validations
    }
}
